Next Previous Contents

## 3.87 joy_read

> Function

>   Read the status of a joystick.

> Header

>   `joystick.h`

> Declaration

>   `unsigned char __fastcall__ joy_read (unsigned char joystick);`

> Description

>   The function reads the status bits for a joystick. The number of the joystick is passed as parameter. The result may be examined by using one of the `JOY_xxx` macros from joystick.h.

> Limits

>   - A joystick driver must be loaded using joy_load_driver before calling this function.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   joy_count, joy_load_driver, joy_unload

> Example

>   None.

Next Previous Contents